import { TimeFromMillisecondsType } from './utils/Time';
export type useTimerSettingsType = {
    expiryTimestamp: Date;
    onExpire?: () => void;
    autoStart?: boolean;
    interval?: number;
};
export type useTimerResultType = TimeFromMillisecondsType & {
    start: () => void;
    pause: () => void;
    resume: () => void;
    restart: (newExpiryTimestamp: Date, newAutoStart?: boolean) => void;
    isRunning: boolean;
};
export default function useTimer({ expiryTimestamp: expiry, onExpire, autoStart, interval: customInterval, }: useTimerSettingsType): useTimerResultType;
